Subject: bug#25067: Emacs pretest 25.1.90 - ipython completion

From: Edward Flanigan <[email-masked]>
Date: Tue, 29 Nov 2016 20:42:55 +0000

The ipython shell no longer recognizes my company popup on import

Python 3.5.2 |Anaconda 4.2.0 (64-bit)| (default, Jul  2 2016, 17:53:06)

IPython 5.1.0 -- An enhanced Interactive Python.

import num    will trigger completions in Emacs 25.1.1 but not Emacs 25.1.90.1

Once I import a module everything works fine in both versions

import numpy as np

np.ara      # I get popup completion for both versions of Emacs.